Subject: FVWM: Enhancment request to fix problem when modifying the TransientForHint

From: "Duane Guingrich" <[email-masked]>
Date: Fri, 30 Oct 1998 03:28:47 -0500

I looked in the code for FVWM to see what it was doing
when the TransientFor property hint was set for a window
and saw that it does nothing. So I added a bit of code
to handle the situation and voila, problem solved. Below
is the code fragment that I added to events.c to fix the
problem. With this modification, FVWM acts the same
as mwm when the TransientFor property is changed.

The following code should be inserted before the default
case in the function HandlePropertyNotify() in the file
events.c.

----------------------- Begin Insert ---------------------------
    case XA_WM_TRANSIENT_FOR:
      {
	if(XGetTransientForHint(dpy, Tmp_win->w, 
&Tmp_win>transientfor))
	{
	   Tmp_win->flags |= TRANSIENT;
	   RaiseWindow(Tmp_win);
	}
	else
	{
	   Tmp_win->flags &= ~TRANSIENT;
	}
-------------------- End Insert -----------------------------
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].